Subject: [PATCH net-next 0/3] Better PHYLINK compliance for SJA1105 DSA

From: Vladimir Oltean <[email-masked]>
Date: Wed, 26 Jun 2019 14:20:11 +0300

After discussing with Russell King, it appears this driver is making a
few confusions and not performing some checks for consistent operation.

Vladimir Oltean (3):
  net: dsa: sja1105: Don't check state->link in phylink_mac_config
  net: dsa: sja1105: Check for PHY mode mismatches with what PHYLINK
    reports
  net: dsa: sja1105: Mark in-band AN modes not supported for PHYLINK

 drivers/net/dsa/sja1105/sja1105_main.c | 59 +++++++++++++++++++++++++-
 1 file changed, 57 insertions(+), 2 deletions(-)

-- 
2.17.1